Project

Profile

Help

Task #9355

Create django 3.2 patch for Katello that allows md5 to be used even on FIPS systems

Added by bmbouter about 1 month ago. Updated 29 days ago.

Status:
MODIFIED
Priority:
High
Assignee:
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Platform Release:
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Sprint 105
Quarter:

Description

With Django 2.2, we had made this patch for Katello: https://github.com/theforeman/pulpcore-packaging/blob/rpm/3.9/packages/python-django/0001-FIPS-Mark-use-of-MD5-not-security-relevant.patch

With Django 3.2 a new patch will need to be made. md5 looks like it's used in more places with Django 3.2.

History

#1 Updated by bmbouter about 1 month ago

FYI this is the django patch but it's only for Python 3.9 https://github.com/django/django/pull/14763

#2 Updated by mdellweg about 1 month ago

  • Status changed from NEW to ASSIGNED
  • Assignee set to mdellweg

#3 Updated by ipanova@redhat.com about 1 month ago

  • Sprint set to Sprint 105

#4 Updated by mdellweg 29 days ago

  • Status changed from ASSIGNED to POST

#5 Updated by mdellweg 29 days ago

  • Status changed from POST to MODIFIED

Please register to edit this issue

Also available in: Atom PDF